# gulpでファイル一括圧縮

- Ver 1.0
- 2017年9月12日

## 本処理について
html、css、jsファイルのミニマイズを行います。
ファイル事態をgzip化させる処理も含んでいますが、デフォルトではコメントアウトとなっています。
gulpで一括処理しておりますので、node.js、gulp等予めインストールを行って下さい。
個別のインストール方法については割愛します。

※注意※
ミニマイズって表現を採用していますが
YUIのような変数名までをミニマイズするものではありません。
あくまでも余白・改行の削除となります。

## 格納されているファイル・ディレクトリについて
- gulpfile.js
- package.json
- output_files
- opt_files

### ■ gulpfile.js
ミニマイズ化の処理を記述しています。
ディレクトリ等変更ある場合はこの中のパスを修正します。
8～11行目あたりとなります。

```
var target_js    = "opt_files/**/*.js";
var target_css   = "opt_files/**/*.css";
var target_html  = "opt_files/**/*.html";
var output_files = "output_files/";
```

また、19・23・27行目あたりにある
```
//.pipe(gzip())
```
この記述のコメントアウトを解除することで、ファイルがgzip化されます。

### ■ package.json
おなじみの今回使用するプラグインです。
以下のプラグインを使用します。
```
"gulp-clean-css": "^3.8.0",
"gulp-gzip": "^1.4.0",
"gulp-minify-html": "^1.0.6",
"gulp-uglify": "^3.0.0",
```

### ■ output_files
ミニマイズ処理を行ったファイルをここに展開します。

### ■ opt_files
ミニマイズ処理を行いたいファイルを設置します。
ディレクトリ毎設置してもらっても動きます。

## 使用方法について
opt_filesディレクトリに、ミニマイズしたいファイルを設置後、
```
gulp
```
または
```
gulp compress
```
で実行させます。

## 対象ファイル
冒頭の通り、.html .css .js の3パターンとなります。
ファイルの種類が増える場合は、コピペして拡張させる必要があります。
